using System;
using System.Collections.Generic;
namespace Zadatak2
{
	class Program
	{
		public static void Main(string[] args)
		{
			int n=int.Parse(Console.ReadLine());
			int[] x=new int[n];
			int[] x1=new int[n];
			int d=n,dj=0,ds=0,zp=0,h=0;
			int[] ns=new int[2];
			int[] nj=new int[2];
			Queue<int> potezi=new Queue<int>();
			
			string[] s=Console.ReadLine().Split();
			for(int i=0;i<n;i++)
			{
				x[i]=int.Parse(s[i]);
				x1[i]=1;
				if(x[i]>0)
				{
					ds++;
					if(x[i]<ns[0])
					{
						ns[0]=x[i];
						ns[1]=i;
					}
				}
				if(x[i]<0)
				{
					dj++;
					if(x[i]>nj[0])
					{
						nj[0]=x[i];
						nj[1]=i;
					}
				}
			}
			bool z=true;
			while(z)
			{
				if(ds==0)
				{
					if(zp!=2)
						zp=2;
					else
						zp=3;
				}
				else
				{
					if(dj==0)
					{
						if(zp!=1)
							zp=1;
						else
							zp=2;
					}
					else
					{
						if(ns[0]>Math.Abs(nj[0]))
						{
							if(zp!=2)
								zp=2;
							else
							{
								if(Math.Abs(Math.Abs(nj[0])-h)>1)
									zp=1;
								else
								{
									if(Math.Abs(ns[0]-h)==1)
										zp=1;
									else
										zp=3;
								}
							}
						}
						else
						{
							if(zp!=1)
								zp=1;
							else
								zp=2;
						}
					}
				}
				
				switch(zp)
				{
					case 1:
						ds--;
						x1[ns[1]]=0;
						ns[1]=-1;
						d--;
						potezi.Enqueue(1);
						break;
					case 2:
						dj--;
						x1[nj[1]]=0;
						nj[1]=-1;
						potezi.Enqueue(2);
						d--;
						break;
					case 3:
						h++;
						potezi.Enqueue(3);
						break;
				}
				
				if(d<=0)
				{
					z=false;
					break;
				}
				
				for(int i=0;i<n;i++)
				{
					if(x1[i]==1)
					{
						if(x[i]>h)
							x[i]--;
						else
							x[i]++;
						if(x[i]==h)
							z=false;
						if(nj[1]==-1)
						{
							nj[0]=x[i];
							nj[1]=i;
						}
						if(ns[1]==-1)
						{
							ns[0]=x[i];
							ns[1]=i;
						}
						if(Math.Abs(Math.Abs(x[i])-h)<nj[0])
						{
							nj[0]=x[i];
							nj[1]=i;
						}
						if(Math.Abs(Math.Abs(x[i])-h)<ns[0])
						{
							ns[0]=x[i];
							ns[1]=i;
						}
					}
				}
			}
			
			Console.WriteLine(n-d);
			while(potezi.Count>0)
			{
				Console.Write(potezi.Dequeue());
			}
			
			
		}
	}
}